[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# THandleStream.Seek

Overrides the Seek method.

## Declaration

Source position: classesh.inc line 918

`public function THandleStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Description

seek uses the FileSeek method to position the stream on the desired position. Note that handle stream descendents (notably pipes) can override the method to prevent the seek.

Documentation generated on: Feb 26 2014